Subject: bug#8654: closed (Re: bug#8654: head)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 May 2011 17:39:02 +0000

Your bug report

#8654: head

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8654: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8654
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8654: head
From: Eric Blake <[email-masked]>
To: Ivan DI PRIMA <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 May 2011 10:30:22 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 8654 notabug
close 8654
thanks

On 05/11/2011 02:15 AM, Ivan DI PRIMA wrote:
> Hi I run the following line:
> 
> $ set header = `head -5 ~/buffer/t1xp_axi2rgv_fifo.vhd`
> 
> and get:
> 
> Missing }.
> 
> Any ideas?

Thanks for the report.  However, this is not a bug in head, but in your
usage of your shell.

What does this output:

head -5 ~/buffer/t1xp_axi2rgv_fifo.vhd

If it is not valid csh shell script (and I'm assuming your using csh,
based on your syntax for using set), then that explains why csh, not
head, is complaining that after the `` substitution has completed, the
resulting text can't be parsed (because it is unquoted, the shell may be
trying to do word splitting on the results, but is getting thrown off by
unbalanced {} in the words to be split).  I'm not a csh user, but does
adding "" around the `` help, as in:

set header = "`head -5 ~/buffer/t1xp_axi2rgv_fifo.vhd`"

I'm marking this bug closed, although we can always reopen it if you can
prove that the problem was in head rather than in your use of shell code.

> This communication is confidential and intended solely for the addressee(s).

It is considered poor netiquette to send email to publicly archived
lists with employer disclaimers, since such disclaimers are
unenforceable by nature of the public archival.  You may want to
consider sending from a different account when sending bug reports to
open source projects.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Subject: head
From: Ivan DI PRIMA <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 11 May 2011 10:15:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi I run the following line:

$ set header = `head -5 ~/buffer/t1xp_axi2rgv_fifo.vhd`

and get:

Missing }.

Any ideas?

Running on:
Red Hat Enterprise Linux AS release 4 (Nahant Update 7)
$ uname -r
2.6.9-78.0.13.ELlargesmp

Thanks
Ivan

Ivan Di Prima
Electronics Engineer

ST-Ericsson
Maplewood,
Chineham Business Park
Basingstoke
Hampshire
RG24 8YB
United Kingdom

Office: +44 1256 303187
Mobile: +44 7881 857 467
Fax: +44 1256 303353
Email: [email-masked]<mailto:[email-masked]>
www.stericsson.com<http://www.stericsson.com/>

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interception, unauthorized amendment, tampering and viruses, and we only send and receive emails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

Registered Address: ST-Ericsson (Uk) Ltd, Planar House, Parkway, Marlow, Buckinghamshire, SL7 1YL.  Company No 06637804